This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 724871

Summary: Commented out fstab lines caused failure to boot after upgrade from 14->15
Product: [Fedora] Fedora Reporter: mark.menke
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: richard
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 14:12:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description mark.menke 2011-07-22 01:39:47 EDT
Description of problem:
I ran preupgrade to update my FC14 server to FC15.  The fstab looked like - 

#
# /etc/fstab
# Created by anaconda on Sat Feb 19 09:15:38 2011
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/vg_george-lv_root /                       ext4    defaults        1 1
UUID=3b0ce5b8-3948-4789-94d2-e21f0e6b6968 /boot                   ext4    defaults        1 2
/dev/mapper/vg_george-lv_home /home                   ext4    defaults        1 2
/dev/mapper/vg_george-lv_swap swap                    swap    defaults        0 0
#/dev/mapper/LogVol00-VolGroup01 /oldhome    ext4 defaults 1 2 
#/dev/mapper/LogVol00-VolGroup00 /oldroot    ext4 defaults 1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
/dev/md0                /big                    jfs     rw,noatime      1 2

When trying to boot, the server dropped to the debug shell

The grub.conf file had listed the commented out filesystems
kernel /vmlinuz-2.6.38.8-35.fc15.x86_64 ro root=/dev/mapper/vg_george-lv_root rd_LVM_LV=vg_george/lv_root rd_LVM_LV=VolGroup00/LogVol01 rd_LVM_LV=VolGroup00/LogVol00 rd_LVM_LV=vg_george/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet rdblacklist=nouveau



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Removing the two unused VolGroup entries from the grub.conf file allowed the system to boot successfully


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2012-08-07 14:12:57 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping